Skip to main content
GET
https://api.memcontext.in
/
api
/
company-brain
/
documents
List context vault documents
curl --request GET \
  --url https://api.memcontext.in/api/company-brain/documents \
  --header 'X-API-Key: <api-key>'
{
  "documents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sourceType": "<string>",
      "chunkCount": 123,
      "extractedCount": 123,
      "totalChunks": 123,
      "processedChunks": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "title": "<string>",
      "processingPhase": "<string>",
      "heartbeatAt": "2023-11-07T05:31:56Z",
      "scope": "<string>",
      "project": "<string>",
      "completedAt": "2023-11-07T05:31:56Z",
      "error": "<string>",
      "publicUrl": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

API key created from the MemContext dashboard. Keys are prefixed with mc_.

Query Parameters

workspaceId
string<uuid>
required

Response

200 - application/json

Uploaded document sources for a workspace.

documents
object[]
required